// Header File
// Created 1/25/2004; 15.32.42

#ifndef _WALL_H_
#define _WALL_H_

#include <tigcclib.h>
#include "player.h"
#include "graphics.h"
#include "globals.h"

typedef enum {HORIZONTAL=0, VERTICAL=1} WallDirection;

typedef struct {
	
	int r, c;
	
	WallDirection dir;
	
} Wall;

int placeWall(Wall *wall, short *numWalls, Player *player, int numPlayers, short size);
void drawWall(int r, int c, WallDirection dir, short Attr);
int testMove(const Wall *walls, const int numWalls, const int size, const int r, const int c, const int moveR, const int moveC);

#endif